package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import org.hibernate.validator.constraints.Length;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.List;

/**
 * 额度支用-质押物说明信息表
 *
 * @author
 */
public class ReviewMortgagePledgeInfo extends BaseEntity {

    /**
     * 抵质押基础信息Id
     */
    private Long reviewMortgageBasicId;

    /**
     * 质押物序号
     */
    @Length(max = 40, message = "抵押物序号不超过40个字符")
    private String serNo;

    /**
     * 质押物种类
     */
    private String pleType;

    /**
     * 质押物币种
     */
    private String pleCurrency;

    /**
     * 质押物价值
     */
    private String pleValue;

    /**
     * 标的公司
     */
    private String company;

    /**
     * 股权比例
     */
    private BigDecimal equityRatio;

    /**
     * 股数（万股）
     */
    private BigDecimal shareNumber;

    @TableField(exist = false)
    private List<Long> fileStorageIds;
    @TableField(exist = false)
    private List<FileStorage> fileStorageList;

    public List<Long> getFileStorageIds() {
        return fileStorageIds;
    }

    public void setFileStorageIds(List<Long> fileStorageIds) {
        this.fileStorageIds = fileStorageIds;
    }

    public List<FileStorage> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorage> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public Long getReviewMortgageBasicId() {
        return reviewMortgageBasicId;
    }

    public void setReviewMortgageBasicId(Long reviewMortgageBasicId) {
        this.reviewMortgageBasicId = reviewMortgageBasicId;
    }

    public String getSerNo() {
        return serNo;
    }

    public void setSerNo(String serNo) {
        this.serNo = serNo;
    }

    public String getPleType() {
        return pleType;
    }

    public void setPleType(String pleType) {
        this.pleType = pleType;
    }

    public String getPleCurrency() {
        return pleCurrency;
    }

    public void setPleCurrency(String pleCurrency) {
        this.pleCurrency = pleCurrency;
    }

    public String getPleValue() {
        return pleValue;
    }

    public void setPleValue(String pleValue) {
        this.pleValue = pleValue;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public BigDecimal getEquityRatio() {
        return equityRatio;
    }

    public void setEquityRatio(BigDecimal equityRatio) {
        this.equityRatio = equityRatio;
    }

    public BigDecimal getShareNumber() {
        return shareNumber;
    }

    public void setShareNumber(BigDecimal shareNumber) {
        this.shareNumber = shareNumber;
    }
}
